Subject: Re: linux-next: sparc tree build failure

From: David Miller <[email-masked]>
Date: Mon, 05 Oct 2009 00:45:33 -0700 (PDT)

From: Stephen Rothwell <[email-masked]>
Date: Mon, 5 Oct 2009 18:43:57 +1100

> Today's linux-next build (sparc64 defconfig) failed like this:
> 
> arch/sparc/oprofile/init.c: In function 'timer_start':
> arch/sparc/oprofile/init.c:46: error: 'HZ' undeclared (first use in this function)
> 
> I have no idea why this just cropped up, but I have added the following
> patch for today.

I suspect:

commit a99bbaf5ee6bad1aca0c88ea65ec6e5373e86184
Author: Alexey Dobriyan <[email-masked]>
Date:   Sun Oct 4 16:11:37 2009 +0400

    headers: remove sched.h from poll.h
    
    Signed-off-by: Alexey Dobriyan <[email-masked]>
    Signed-off-by: Linus Torvalds <[email-masked]>

I'll add your fix to sparc-2.6, thanks!